Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand:

## Public Member Functions
| __construct (IndexerGateway $gateway, LocationHandler $locationHandler)
| initialize (InputInterface $input, OutputInterface $output)
| Initialize objects required by {. More...

## Protected Member Functions
| configure ()
| {} More...
| execute (InputInterface $input, OutputInterface $output)

## Private Member Functions
| getPhpProcess (array $contentIds, bool $commit)
| getPhpPath ()
| getNumberOfCPUCores ()

## Private Attributes
| $searchIndexer
| $phpPath
| $logger
| $siteaccess
| $env
| $isDebug
| $projectDir
| $gateway
| $locationHandler

## Detailed Description

Definition at line 26 of file ReindexCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::__construct | ( | IndexerGateway | $gateway,
|  | LocationHandler | $locationHandler
| ) |  |

Definition at line 55 of file ReindexCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand\$gateway, and eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand\$locationHandler.

## Member Function Documentation

## ◆ configure()

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::configure | ( |  | ) |
| protected

{}

Definition at line 90 of file ReindexCommand.php.

## ◆ execute()

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Exceptions

Definition at line 159 of file ReindexCommand.php.

## ◆ getNumberOfCPUCores()

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::getNumberOfCPUCores | ( |  | ) |
| private

Returns
  int

Definition at line 389 of file ReindexCommand.php.

## ◆ getPhpPath()

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::getPhpPath | ( |  | ) |
| private

Returns
  string

Definition at line 369 of file ReindexCommand.php.

## ◆ getPhpProcess()

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::getPhpProcess | ( | array | $contentIds,
|  | bool | $commit
| ) |  |
| private

Parameters

  array | $contentIds |

Exceptions

Definition at line 335 of file ReindexCommand.php.

## ◆ initialize()

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::initialize | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |

Initialize objects required by {.

See also
  execute()}.

Parameters

  InputInterface | $input |
  OutputInterface | $output |

Definition at line 69 of file ReindexCommand.php.

## Member Data Documentation

## ◆ $env

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$env
| private

Definition at line 41 of file ReindexCommand.php.

## ◆ $gateway

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$gateway
| private

Definition at line 50 of file ReindexCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand\__construct().

## ◆ $isDebug

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$isDebug
| private

Definition at line 44 of file ReindexCommand.php.

## ◆ $locationHandler

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$locationHandler
| private

Definition at line 53 of file ReindexCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand\__construct().

## ◆ $logger

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$logger
| private

Definition at line 35 of file ReindexCommand.php.

## ◆ $phpPath

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$phpPath
| private

Definition at line 32 of file ReindexCommand.php.

## ◆ $projectDir

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$projectDir
| private

Definition at line 47 of file ReindexCommand.php.

## ◆ $searchIndexer

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$searchIndexer
| private

Definition at line 29 of file ReindexCommand.php.

## ◆ $siteaccess

eZ\Bundle\EzPublishCoreBundle\Command\ReindexCommand::$siteaccess
| private

Definition at line 38 of file ReindexCommand.php.

The documentation for this class was generated from the following file:

- ReindexCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.